File: control

package info (click to toggle)
libproxy 0.4.15-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 916 kB
  • sloc: cpp: 3,811; ansic: 112; makefile: 78; cs: 69; python: 44; perl: 42; sh: 17; ruby: 8
file content (189 lines) | stat: -rw-r--r-- 6,896 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libproxy
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends-Indep: cli-common-dev (>= 0.5.7~) <!stage1>, mono-devel (>= 2.4.3) <!stage1>, dh-python, python-all-dev (>= 2.6.6-3~), python3-all
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               netbase,
               cmake,
               zlib1g-dev,
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!stage1>,
               libmozjs-60-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
               libwebkit2gtk-4.0-dev <!stage1>,
               libjavascriptcoregtk-4.0-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!stage1>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-mozjs
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (mozjs plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 2)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 2 bindings.

Package: python3-libproxy
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 3)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 3 bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.